/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin;

import org.springframework.boot.autoconfigure.ImportAutoConfiguration;
import org.springframework.context.annotation.Configuration;

/**
 * A workaround for @GrpcClient to work i.e. inject dependency until full Spring 3 support is available.
 * https://github.com/yidongnan/grpc-spring-boot-starter/pull/775
 */
@Configuration
@ImportAutoConfiguration({
		net.devh.boot.grpc.client.autoconfigure.GrpcClientAutoConfiguration.class,
		net.devh.boot.grpc.client.autoconfigure.GrpcClientMetricAutoConfiguration.class,
		net.devh.boot.grpc.client.autoconfigure.GrpcClientHealthAutoConfiguration.class,
		net.devh.boot.grpc.client.autoconfigure.GrpcClientSecurityAutoConfiguration.class,
		net.devh.boot.grpc.client.autoconfigure.GrpcDiscoveryClientAutoConfiguration.class,
		net.devh.boot.grpc.common.autoconfigure.GrpcCommonCodecAutoConfiguration.class
})
public class GrpcConfiguration {
}
