/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.reporting;

import java.util.List;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;
import lombok.ToString;

@Builder
@Getter
@ToString
public class ReportingAggregationManagerSettingDto {

	@Singular
	private List<AggregationMappingDto> aggregationMappings;

	@Builder
	@Getter
	static class AggregationMappingDto {
		private FormIdentifierDto formIdentifier;
		private String name;
		private String parent;
		private StatusDto status;
		private ScopeDto scope;
		@Singular
		private List<FieldMappingDto> fieldMappings;
	}

	@Builder
	@Getter
	static class FormIdentifierDto {
		private String formEngineName;
		private String formId;
	}

	@Builder
	@Getter
	static class FieldMappingDto {
		private String sourcePath;
		private String targetPath;
	}

	enum StatusDto {
		AUSSTEHEND, FREIGEGEBEN, ZURUECKGEHALTEN
	}

	enum ScopeDto {
		LAND, MANDANT
	}
}
