/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.keycloak;

import java.util.List;

public class GroupTestFactory {

	public static final String ID = GroupRepresentationTestFactory.ID;
	public static final String NAME = GroupRepresentationTestFactory.NAME;
	public static final String ORGANISATIONS_EINHEIT_ID = GroupRepresentationTestFactory.ORGANISATIONS_EINHEIT_ID;

	public static final String SUB_GROUP_ID = GroupRepresentationTestFactory.SUB_GROUP_ID;
	public static final String SUB_GROUP_NAME = GroupRepresentationTestFactory.SUB_GROUP_NAME;
	public static final String SUB_GROUP_ORGANISATIONS_EINHEIT_ID = GroupRepresentationTestFactory.SUB_GROUP_ORGANISATIONS_EINHEIT_ID;

	public static Group create() {
		return createBuilder().build();
	}

	public static Group.GroupBuilder createBuilder() {
		return new Group.GroupBuilder()
				.id(ID)
				.name(NAME)
				.organisationsEinheitId(ORGANISATIONS_EINHEIT_ID)
				.subGroups(List.of(Group.builder().id(SUB_GROUP_ID).name(SUB_GROUP_NAME).organisationsEinheitId(SUB_GROUP_ORGANISATIONS_EINHEIT_ID)
						.build()));
	}
}
