/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.organisationseinheit;

import com.thedeanda.lorem.LoremIpsum;

public class OrganisationsEinheitSettingsTestFactory {

	public static final String SIGNATUR = LoremIpsum.getInstance().getWords(4);

	public static OrganisationsEinheitSettings create() {
		return createBuilder().build();
	}

	public static OrganisationsEinheitSettings.OrganisationsEinheitSettingsBuilder createBuilder() {
		return OrganisationsEinheitSettings.builder()
				.signatur(SIGNATUR);
	}

	public static OrganisationsEinheitSettings.OrganisationsEinheitSettingsBuilder createNewBuilder() {
		return OrganisationsEinheitSettings.builder()
				.signatur(LoremIpsum.getInstance().getWords(3));
	}

}
