package de.ozgcloud.admin.reporting;

import static de.ozgcloud.admin.reporting.AggregationMappingTestFactory.*;

import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.AggregationMappingDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.FieldMappingDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.FormIdentifierDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.ScopeDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.StatusDto;

public class AggregationMappingDtoTestFactory {

	public static final FormIdentifierDto FORM_IDENTIFIER = FormIdentifierDto.builder().formId(FORM_ID).formEngineName(FORM_ENGINE_NAME).build();
	public static final String NAME = AggregationMappingTestFactory.NAME;
	public static final String PARENT = AggregationMappingTestFactory.PARENT;
	public static final StatusDto STATUS = StatusDto.valueOf(AggregationMappingTestFactory.STATUS.name());
	public static final ScopeDto SCOPE = ScopeDto.valueOf(AggregationMappingTestFactory.SCOPE.name());

	public static AggregationMappingDto create() {
		return createBuilder().build();
	}

	public static AggregationMappingDto.AggregationMappingDtoBuilder createBuilder() {
		return AggregationMappingDto.builder()
				.formIdentifier(FORM_IDENTIFIER)
				.name(NAME)
				.parent(PARENT)
				.status(STATUS)
				.scope(SCOPE)
				.fieldMapping(FieldMappingDto.builder().sourcePath(SOURCE_PATH).targetPath(TARGET_PATH).build());
	}
}
