/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.security;

import org.springframework.security.core.AuthenticationException;

import lombok.Builder;

public class AuthenticationExceptionTestFactory {

	public static final String AUTH_MESSAGE = "auth error message";

	@Builder
	public static class DummyAuthenticationException extends AuthenticationException {
		@SuppressWarnings("unused")
		private String msg;

		DummyAuthenticationException(String msg) {
			super(msg);
			this.msg = msg;
		}
	}

	public static DummyAuthenticationException create() {
		return builder().build();
	}

	public static DummyAuthenticationException.DummyAuthenticationExceptionBuilder builder() {
		return DummyAuthenticationException.builder().msg(AUTH_MESSAGE);
	}
}
