/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.security;

import static de.ozgcloud.admin.security.SecurityConfiguration.*;

import java.util.List;
import java.util.Map;

import org.springframework.security.oauth2.jwt.Jwt;

public class JwtTestFactory {

	public static final String ROLE_1 = "ADMIN_ADMIN";
	public static final String ROLE_2 = "Lower_case";
	public static final String ROLE_3 = "UPPER";

	public static final String AUTH_RESOURCE = "admin";

	public static Jwt create() {
		return createBuilder().build();
	}

	public static Jwt.Builder createWithRoles(List<String> roles) {
		return createBuilder().claim(RESOURCE_ACCESS_KEY, Map.of(AUTH_RESOURCE, Map.of(ROLES_KEY, roles)));
	}

	public static Jwt.Builder createBuilder() {
		return Jwt.withTokenValue("token-value").header("header-key", "header-value").claim("claim-key", "claim-value");
	}

}
