/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.setting;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettingsTestFactory;
import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitTestFactory;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBody;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBodyTestFactory;
import de.ozgcloud.common.test.TestUtils;

public class PropertiesTestFactory {

	public static final PostfachSettingBody POSTFACH = PostfachSettingBodyTestFactory.create();
	public static final String FORM_ENGINE_NAME_1 = LoremIpsum.getInstance().getWords(1);
	public static final String FORM_ID_1 = LoremIpsum.getInstance().getWords(1);
	public static final String NAME_1 = LoremIpsum.getInstance().getWords(1);
	public static final String PARENT_1 = LoremIpsum.getInstance().getWords(1);
	public static final String STATUS_1 = "AUSSTEHEND";
	public static final String SCOPE_1 = "MANDANT";
	public static final String SOURCE_PATH_1_1 = LoremIpsum.getInstance().getWords(1);
	public static final String TARGET_PATH_1_1 = LoremIpsum.getInstance().getWords(1);
	public static final String SOURCE_PATH_1_2 = LoremIpsum.getInstance().getWords(1);
	public static final String TARGET_PATH_1_2 = LoremIpsum.getInstance().getWords(1);
	public static final String SOURCE_PATH_1_3 = LoremIpsum.getInstance().getWords(1);
	public static final String TARGET_PATH_1_3 = LoremIpsum.getInstance().getWords(1);
	public static final String FORM_ENGINE_NAME_2 = LoremIpsum.getInstance().getWords(1);
	public static final String FORM_ID_2 = LoremIpsum.getInstance().getWords(1);
	public static final String NAME_2 = LoremIpsum.getInstance().getWords(1);
	public static final String PARENT_2 = LoremIpsum.getInstance().getWords(1);
	public static final String STATUS_2 = "FREIGEGEBEN";
	public static final String SCOPE_2 = "LAND";
	public static final String SOURCE_PATH_2_1 = LoremIpsum.getInstance().getWords(1);
	public static final String TARGET_PATH_2_1 = LoremIpsum.getInstance().getWords(1);
	public static final String SOURCE_PATH_2_2 = LoremIpsum.getInstance().getWords(1);
	public static final String TARGET_PATH_2_2 = LoremIpsum.getInstance().getWords(1);

	public static String createVorgangManagerYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/vorgangManager.yaml.tmpl",
				POSTFACH.getAbsender().getName(),
				POSTFACH.getAbsender().getAnschrift(),
				POSTFACH.getAbsender().getDienst(),
				POSTFACH.getAbsender().getMandant(),
				POSTFACH.getAbsender().getGemeindeschluessel(),
				POSTFACH.getSignatur(),
				OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
				OrganisationsEinheitSettingsTestFactory.SIGNATUR);
	}

	public static String createAlfaYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/alfa.yaml.tmpl",
				POSTFACH.getSignatur(),
				OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
				OrganisationsEinheitSettingsTestFactory.SIGNATUR);
	}

	public static String createInitialYaml() {
		return TestUtils.loadTextFile("yamlTemplates/settings/initial.yaml.tmpl");
	}

	public static String createAggregationProperties() {
		return TestUtils.loadTextFile("jsonTemplates/settings/aggregation.json.tmpl",
				FORM_ENGINE_NAME_1,
				FORM_ID_1,
				NAME_1,
				PARENT_1,
				STATUS_1,
				SCOPE_1,
				SOURCE_PATH_1_1,
				TARGET_PATH_1_1,
				SOURCE_PATH_1_2,
				TARGET_PATH_1_2,
				SOURCE_PATH_1_3,
				TARGET_PATH_1_3,
				FORM_ENGINE_NAME_2,
				FORM_ID_2,
				NAME_2,
				PARENT_2,
				STATUS_2,
				SCOPE_2,
				SOURCE_PATH_2_1,
				TARGET_PATH_2_1,
				SOURCE_PATH_2_2,
				TARGET_PATH_2_2);
	}
}
