/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.admin.setting.postfach;

import java.util.Random;

import com.thedeanda.lorem.LoremIpsum;

public class AbsenderTestFactory {
	public static final String NAME = LoremIpsum.getInstance().getName();
	public static final String ANSCHRIFT = LoremIpsum.getInstance().getEmail();
	public static final String DIENST = LoremIpsum.getInstance().getName();
	public static final String MANDANT = LoremIpsum.getInstance().getName();
	public static final String GEMEINDESCHLUESSEL = String.valueOf(new Random().nextInt(100000));

	public static Absender create() {
		return createBuilder().build();
	}

	public static Absender.AbsenderBuilder createBuilder() {
		return Absender.builder()
				.name(NAME)
				.anschrift(ANSCHRIFT)
				.dienst(DIENST)
				.mandant(MANDANT)
				.gemeindeschluessel(GEMEINDESCHLUESSEL);
	}

}
